Summary:	Diskette tools - GUI front-end to LibDsk
Summary(pl.UTF-8):	Narzędzia do dyskietek - graficzny interfejs do LibDsk
Name:		dsktool
Version:	1.0.5
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://www.seasip.info/Unix/LibDsk/%{name}-%{version}.tar.gz
# Source0-md5:	6cb3b6ebb11b7e7102976c26a7ec8c3f
URL:		http://www.seasip.info/Unix/LibDsk/#tools
BuildRequires:	libdsk-devel
BuildRequires:	rpmbuild(macros) >= 1.167
BuildRequires:	wxGTK3-unicode-devel >= 2.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Diskette Tools program is a GUI front-end to LibDsk. It doesn't do
any more than the provided sample utilities, but it looks nicer.

%description -l pl.UTF-8
Program Diskette Tools to graficzny interfejs użytkownika do LibDsk.
Nie robi więcej niż załączone programy przykładowe, ale wygląda
przyjemniej.

%prep
%setup -q

%build
%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags} `wx-gtk3-unicode-config --cflags`" \
	WX_LIBS="`wx-gtk3-unicode-config --libs`"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	INSTALLDIR=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/dsktool
%changelog
* Fri Oct 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dsktool.git;a=log;h=master

* Fri Oct 06 2023 Jan Rękorajski <baggins@pld-linux.org> 553cdef
- rebuild with wxGTK3-unicode, rel 2

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> e8e7e6f
- new URLs, updated to 1.0.5

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 278cf82
- updated to 1.0.3
- removed obsolete wx patch

* Wed May 02 2007 Jakub Bogusz <qboosh@pld-linux.org> ee2026a
- updated to 1.0.2
- added wx patch

* Wed May 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 3917303
- fix wx version detection

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> db58845
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 86bd90a
- converted to UTF-8

* Tue Oct 18 2005 Jakub Bogusz <qboosh@pld-linux.org> 6f3f3e0
- new

